Issues

ZF-12526: Zend_Gdata::import() should be compatible with that of Zend_Gdata_App::import()

Description

Declaration of Zend_Gdata::import() should be compatible with that of Zend_Gdata_App::import() Zend/Gdata.php:45

The arguments do not match.

Comments

Proposals to fix the original problem are welcome. :)

This is my proposal, but I do not know how to attach it to the issue: https://dl.dropbox.com/u/11435743/…

@[~mgil] I will fix this. Thanks for your help!

Just to let ZF-people know: This also affects the latest version 1.12.3.

@Jari If the affected version is 1.12.1 and the issue is not fixed, then the problem is also included in version 1.12.3. ;)

to fix that, just add a missing parameter Gdata.php Line 123+124


    public static function import($uri, $client = null,
        $className='Zend_Gdata_Feed', $useObjectMapping = true)

@Marco Thanks for your comment. I will fix this at Github.

This issue has been closed on Jira and moved to GitHub for issue tracking. To continue following the resolution of this issues, please visit: https://github.com/zendframework/zf1/issues/56